# CommonProtos.InvokeRequest (dapr-sdk-parent 1.12.2 API)
declaration: package: io.dapr.v1, class: CommonProtos, class: InvokeRequest

Package io.dapr.v1

# Class CommonProtos.InvokeRequest

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
io.dapr.v1.CommonProtos.InvokeRequest

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `CommonProtos.InvokeRequestOrBuilder`, `Serializable`

Enclosing class:
  CommonProtos

public static final class CommonProtos.InvokeRequest extends com.google.protobuf.GeneratedMessageV3 implements CommonProtos.InvokeRequestOrBuilder

     InvokeRequest is the message to invoke a method with the data.
     This message is used in InvokeService of Dapr gRPC Service and OnInvoke
     of AppCallback gRPC service.

Protobuf type `dapr.proto.common.v1.InvokeRequest`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`CommonProtos.InvokeRequest.Builder`
InvokeRequest is the message to invoke a method with the data.

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONTENT_TYPE_FIELD_NUMBER`
`static final int`
`DATA_FIELD_NUMBER`
`static final int`
`HTTP_EXTENSION_FIELD_NUMBER`
`static final int`
`METHOD_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getContentType()`
The type of data content.
`com.google.protobuf.ByteString`
`getContentTypeBytes()`
The type of data content.
`com.google.protobuf.Any`
`getData()`
Required in unary RPCs.
`com.google.protobuf.AnyOrBuilder`
`getDataOrBuilder()`
Required in unary RPCs.
`static CommonProtos.InvokeRequest`
`getDefaultInstance()`
`CommonProtos.InvokeRequest`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`CommonProtos.HTTPExtension`
`getHttpExtension()`
HTTP specific fields if request conveys http-compatible request.
`CommonProtos.HTTPExtensionOrBuilder`
`getHttpExtensionOrBuilder()`
HTTP specific fields if request conveys http-compatible request.
`String`
`getMethod()`
Required.
`com.google.protobuf.ByteString`
`getMethodBytes()`
Required.
`com.google.protobuf.Parser<CommonProtos.InvokeRequest>`
`getParserForType()`
`int`
`getSerializedSize()`
`final com.google.protobuf.UnknownFieldSet`
`getUnknownFields()`
`boolean`
`hasData()`
Required in unary RPCs.
`int`
`hashCode()`
`boolean`
`hasHttpExtension()`
HTTP specific fields if request conveys http-compatible request.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`static CommonProtos.InvokeRequest.Builder`
`newBuilder()`
`static CommonProtos.InvokeRequest.Builder`
`newBuilder(CommonProtos.InvokeRequest prototype)`
`CommonProtos.InvokeRequest.Builder`
`newBuilderForType()`
`protected CommonProtos.InvokeRequest.Builder`
`newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object`
`newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static CommonProtos.InvokeRequest`
`parseDelimitedFrom(InputStream input)`
`static CommonProtos.InvokeRequest`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static CommonProtos.InvokeRequest`
`parseFrom(byte[] data)`
`static CommonProtos.InvokeRequest`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static CommonProtos.InvokeRequest`
`parseFrom(com.google.protobuf.ByteString data)`
`static CommonProtos.InvokeRequest`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static CommonProtos.InvokeRequest`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static CommonProtos.InvokeRequest`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static CommonProtos.InvokeRequest`
`parseFrom(InputStream input)`
`static CommonProtos.InvokeRequest`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static CommonProtos.InvokeRequest`
`parseFrom(ByteBuffer data)`
`static CommonProtos.InvokeRequest`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<CommonProtos.InvokeRequest>`
`parser()`
`CommonProtos.InvokeRequest.Builder`
`toBuilder()`
`void`
`writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

## Field Details

### METHOD_FIELD_NUMBER

public static final int METHOD_FIELD_NUMBER

See Also:
  - Constant Field Values

### DATA_FIELD_NUMBER

public static final int DATA_FIELD_NUMBER

See Also:
  - Constant Field Values

### CONTENT_TYPE_FIELD_NUMBER

public static final int CONTENT_TYPE_FIELD_NUMBER

See Also:
  - Constant Field Values

### HTTP_EXTENSION_FIELD_NUMBER

public static final int HTTP_EXTENSION_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### newInstance

protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

### getUnknownFields

public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getMethod

public String getMethod()

     Required. method is a method name which will be invoked by caller.

`string method = 1;`

Specified by:
  `getMethod` in interface `CommonProtos.InvokeRequestOrBuilder`
Returns:
  The method.

### getMethodBytes

public com.google.protobuf.ByteString getMethodBytes()

     Required. method is a method name which will be invoked by caller.

`string method = 1;`

Specified by:
  `getMethodBytes` in interface `CommonProtos.InvokeRequestOrBuilder`
Returns:
  The bytes for method.

### hasData

public boolean hasData()

     Required in unary RPCs. Bytes value or Protobuf message which caller sent.
     Dapr treats Any.value as bytes type if Any.type_url is unset.

`.google.protobuf.Any data = 2;`

Specified by:
  `hasData` in interface `CommonProtos.InvokeRequestOrBuilder`
Returns:
  Whether the data field is set.

### getData

public com.google.protobuf.Any getData()

     Required in unary RPCs. Bytes value or Protobuf message which caller sent.
     Dapr treats Any.value as bytes type if Any.type_url is unset.

`.google.protobuf.Any data = 2;`

Specified by:
  `getData` in interface `CommonProtos.InvokeRequestOrBuilder`
Returns:
  The data.

### getDataOrBuilder

public com.google.protobuf.AnyOrBuilder getDataOrBuilder()

     Required in unary RPCs. Bytes value or Protobuf message which caller sent.
     Dapr treats Any.value as bytes type if Any.type_url is unset.

`.google.protobuf.Any data = 2;`

Specified by:
  `getDataOrBuilder` in interface `CommonProtos.InvokeRequestOrBuilder`

### getContentType

public String getContentType()

     The type of data content.
     This field is required if data delivers http request body
     Otherwise, this is optional.

`string content_type = 3;`

Specified by:
  `getContentType` in interface `CommonProtos.InvokeRequestOrBuilder`
Returns:
  The contentType.

### getContentTypeBytes

public com.google.protobuf.ByteString getContentTypeBytes()

     The type of data content.
     This field is required if data delivers http request body
     Otherwise, this is optional.

`string content_type = 3;`

Specified by:
  `getContentTypeBytes` in interface `CommonProtos.InvokeRequestOrBuilder`
Returns:
  The bytes for contentType.

### hasHttpExtension

public boolean hasHttpExtension()

     HTTP specific fields if request conveys http-compatible request.
     This field is required for http-compatible request. Otherwise,
     this field is optional.

`.dapr.proto.common.v1.HTTPExtension http_extension = 4;`

Specified by:
  `hasHttpExtension` in interface `CommonProtos.InvokeRequestOrBuilder`
Returns:
  Whether the httpExtension field is set.

### getHttpExtension

public CommonProtos.HTTPExtension getHttpExtension()

     HTTP specific fields if request conveys http-compatible request.
     This field is required for http-compatible request. Otherwise,
     this field is optional.

`.dapr.proto.common.v1.HTTPExtension http_extension = 4;`

Specified by:
  `getHttpExtension` in interface `CommonProtos.InvokeRequestOrBuilder`
Returns:
  The httpExtension.

### getHttpExtensionOrBuilder

public CommonProtos.HTTPExtensionOrBuilder getHttpExtensionOrBuilder()

     HTTP specific fields if request conveys http-compatible request.
     This field is required for http-compatible request. Otherwise,
     this field is optional.

`.dapr.proto.common.v1.HTTPExtension http_extension = 4;`

Specified by:
  `getHttpExtensionOrBuilder` in interface `CommonProtos.InvokeRequestOrBuilder`

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static CommonProtos.InvokeRequest parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static CommonProtos.InvokeRequest parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static CommonProtos.InvokeRequest parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static CommonProtos.InvokeRequest parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static CommonProtos.InvokeRequest parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static CommonProtos.InvokeRequest parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static CommonProtos.InvokeRequest parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static CommonProtos.InvokeRequest parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static CommonProtos.InvokeRequest parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static CommonProtos.InvokeRequest parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static CommonProtos.InvokeRequest parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static CommonProtos.InvokeRequest parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public CommonProtos.InvokeRequest.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static CommonProtos.InvokeRequest.Builder newBuilder()

### newBuilder

public static CommonProtos.InvokeRequest.Builder newBuilder(CommonProtos.InvokeRequest prototype)

### toBuilder

public CommonProtos.InvokeRequest.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected CommonProtos.InvokeRequest.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static CommonProtos.InvokeRequest getDefaultInstance()

### parser

public static com.google.protobuf.Parser<CommonProtos.InvokeRequest> parser()

### getParserForType

public com.google.protobuf.Parser<CommonProtos.InvokeRequest> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public CommonProtos.InvokeRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`